Returns the perpendicular plane at a parameter of a curve. The result is relatively parallel (zero-twisting) plane.
Rhino.CurvePerpFrame (strObject, dblParameter)
strObject |
Required. String. The object's identifier. |
dblParameter |
Required. Number. The parameter to evaluate. |
Array |
The plane at the specified parameter if successful. |
Null |
If not successful, or on error. |
Dim arrCurve, arrPlane
arrCurve = Rhino.GetCurveObject("Select a curve")
If IsArray(arrCurve) Then
arrPlane = Rhino.CurvePerpFrame(arrCurve(0), arrCurve(4))
Rhino.AddPlaneSurface arrPlane, Rhino.Distance(arrPlane(0),arrPlane(1)), Rhino.Distance(arrPlane(0),arrPlane(2))
End If